<script setup lang="ts">
import { onMounted } from 'vue'
import AttendanceDialog from '../component/AttendanceDialog.vue'
import { useAttendanceStore } from '../stores/attendance'
import { useLoadingStore } from '@/stores/loading'
const attendanceStore = useAttendanceStore()
const loader = useLoadingStore()

onMounted(() => {
  attendanceStore.getAll()
})

function isChecked(): boolean {
  return attendanceStore.chItem.clockIn !== ''
}
</script>
<template>
  <AttendanceDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :items="attendanceStore.items"
    :headers="attendanceStore.headers"
    :loading="loader.isLoading"
  >
    <template #top>
      <v-card class="pa-5" color="#77625d">
        <v-row>
          <v-col>
            <h2>Attendance Management</h2>
          </v-col>
          <v-col cols="auto">
            <v-chip variant="flat" flat>
              <p
                :class="isChecked() ? 'text-white' : 'text-red'"
                v-text="isChecked() ? 'คุณเข้างานแล้ว' : 'คุณยังไม่ได้เข้างาน'"
              ></p>
            </v-chip>
          </v-col>
          <v-col cols="auto">
            <v-btn @click="attendanceStore.openDialog()" color="#FFD180" class="mx-16"
              ><v-icon icon="mdi-clock" />Check In</v-btn
            >
          </v-col>
        </v-row>
      </v-card>
    </template>
  </v-data-table>
</template>
